> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start decision run



## OpenAPI

````yaml post /api/decision/v1.0/customer/{customerId}/DecisionRun
openapi: 3.0.1
info:
  title: Decision Api v1.0
  version: v1.0
servers:
  - url: https://app.allyy.io
security: []
paths:
  /api/decision/v1.0/customer/{customerId}/DecisionRun:
    post:
      tags:
        - Decision
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: version
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DecisionRunModelRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/DecisionRunModelRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/DecisionRunModelRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DecisionRunJobResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/DecisionRunJobResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/DecisionRunJobResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2:
            - allyy_api
components:
  schemas:
    DecisionRunModelRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/DecisionRunModel'
      additionalProperties: false
    DecisionRunJobResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/Metadata'
        data:
          $ref: '#/components/schemas/DecisionRunJob'
      additionalProperties: false
    DecisionRunModel:
      type: object
      properties:
        decisionConfigurationId:
          type: string
          format: uuid
      additionalProperties: false
    Metadata:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        validation:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          nullable: true
        info:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    DecisionRunJob:
      type: object
      properties:
        id:
          type: string
          format: uuid
        decisionConfigurationId:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/DecisionRunStatus'
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ValidationError:
      type: object
      properties:
        property:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    DecisionRunStatus:
      enum:
        - 1
        - 2
        - 20
        - 100
      type: integer
      format: int32
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://app.allyy.io/api/authentication/connect/authorize
          scopes:
            allyy_api: Allyy API - full access

````